EasyMockSupport (EasyMock class extension 2.5.2 API)
Date: 2009-12-20

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.classextension
Class EasyMockSupport

    java.lang.Object
      org.easymock.EasyMockSupport
          org.easymock.classextension.EasyMockSupport

    public class EasyMockSupport

extends org.easymock.EasyMockSupport

Helper class to be used to keep tracks of mocks easily. Same as its base class but supports class mocking

Field Summary

Fields inherited from class org.easymock.EasyMockSupport
`controls`

Constructor Summary
`EasyMockSupport()`

Method Summary
`IMocksControl` | `createControl()`
`
`<T> T`
` | `createMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> IMockBuilder<T>`
` | `createMockBuilder(java.lang.Class<T> toMock)`
`IMocksControl` | `createNiceControl()`
`
`<T> T`
` | `createNiceMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createNiceMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createNiceMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createNiceMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`IMocksControl` | `createStrictControl()`
`
`<T> T`
` | `createStrictMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createStrictMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createStrictMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead
`
`<T> T`
` | `createStrictMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)` Deprecated. Use `createMockBuilder(Class)` instead

Methods inherited from class org.easymock.EasyMockSupport
`createMock, createMock, createNiceMock, createNiceMock, createStrictMock, createStrictMock, replayAll, resetAll, resetAllToDefault, resetAllToNice, resetAllToStrict, verifyAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EasyMockSupport

    public EasyMockSupport()

Method Detail

### createStrictMock

    @Deprecated
    public <T> T createStrictMock(java.lang.Class<T> toMock,
                                             java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createStrictMock

    @Deprecated
    public <T> T createStrictMock(java.lang.String name,
                                             java.lang.Class<T> toMock,
                                             java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createStrictMock

    @Deprecated
    public <T> T createStrictMock(java.lang.Class<T> toMock,
                                             ConstructorArgs constructorArgs,
                                             java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createStrictMock

    @Deprecated
    public <T> T createStrictMock(java.lang.String name,
                                             java.lang.Class<T> toMock,
                                             ConstructorArgs constructorArgs,
                                             java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createMock

    @Deprecated
    public <T> T createMock(java.lang.Class<T> toMock,
                                       java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createMock

    @Deprecated
    public <T> T createMock(java.lang.String name,
                                       java.lang.Class<T> toMock,
                                       java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createMock

    @Deprecated
    public <T> T createMock(java.lang.Class<T> toMock,
                                       ConstructorArgs constructorArgs,
                                       java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createMock

    @Deprecated
    public <T> T createMock(java.lang.String name,
                                       java.lang.Class<T> toMock,
                                       ConstructorArgs constructorArgs,
                                       java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createNiceMock

    @Deprecated
    public <T> T createNiceMock(java.lang.Class<T> toMock,
                                           java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createNiceMock

    @Deprecated
    public <T> T createNiceMock(java.lang.String name,
                                           java.lang.Class<T> toMock,
                                           java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createNiceMock

    @Deprecated
    public <T> T createNiceMock(java.lang.Class<T> toMock,
                                           ConstructorArgs constructorArgs,
                                           java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createNiceMock

    @Deprecated
    public <T> T createNiceMock(java.lang.String name,
                                           java.lang.Class<T> toMock,
                                           ConstructorArgs constructorArgs,
                                           java.lang.reflect.Method... mockedMethods)

  Deprecated. Use `createMockBuilder(Class)` instead

### createStrictControl

    public IMocksControl createStrictControl()

  Overrides:
    `createStrictControl` in class `org.easymock.EasyMockSupport`

### createControl

    public IMocksControl createControl()

  Overrides:
    `createControl` in class `org.easymock.EasyMockSupport`

### createNiceControl

    public IMocksControl createNiceControl()

  Overrides:
    `createNiceControl` in class `org.easymock.EasyMockSupport`

### createMockBuilder

    public <T> IMockBuilder<T> createMockBuilder(java.lang.Class<T> toMock)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 OFFIS, Henri Tremblay. This documentation is provided under the terms of the MIT licence.